Skip to main content
PUT
/
v1
/
orgs
/
{org_id}
/
sources
/
Create a source
curl --request PUT \
  --url https://api.arklow.io/v1/orgs/{org_id}/sources/ \
  --header 'Content-Type: application/json' \
  --header 'x-arklow-auth: <api-key>' \
  --data '
{
  "type": "aws_sqs",
  "config": {
    "queue_url": "<string>",
    "region": "<string>"
  },
  "name": "<string>",
  "ingest": {
    "variant": "<string>",
    "version": 2
  },
  "status": "active",
  "credential_id": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "org_id": "<string>",
    "name": "<string>",
    "status": "active",
    "ingest": {
      "variant": "<string>",
      "version": 2
    },
    "runtime": {
      "min_shards": 2,
      "max_shards": 2,
      "desired_shards": 2,
      "max_inflight": 2,
      "poll_wait_seconds": 2,
      "lease_ttl_seconds": 2,
      "heartbeat_seconds": 2
    },
    "version": "<string>",
    "applied_version": "<string>",
    "generation": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "type": "aws_sqs",
    "config": {
      "queue_url": "<string>",
      "region": "<string>"
    },
    "planner_updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z",
    "credential_id": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

x-arklow-auth
string
header
required

Path Parameters

org_id
string
required
Pattern: ^[0-9]+$

Body

application/json
type
enum<string>
required
Available options:
aws_sqs
config
object
required
name
string
required
ingest
object
required
status
Available options:
active
credential_id
string | null
Pattern: ^[0-9]+$

Response

200 - application/json

Default Response

data
object
required
errors
object[] | null
required